RtRequestStat (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.rt.RtRequestStat class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.rt
Class RtRequestStat

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.rt.RtRequestStat

All Implemented Interfaces:
  java.io.Serializable

    public class RtRequestStat

extends PersistedObject

See Also:
  Serialized Form

Constructor Summary
`RtRequestStat()`

Method Summary
`java.lang.Long` | `getBeginTime()`
`java.lang.Integer` | `getCount()`
`java.lang.Long` | `getEndTime()`
`java.lang.String` | `getIpaddr()`
`java.lang.Double` | `getMax()`
`java.lang.Double` | `getMin()`
`RtStat` | `getRequestStat()`
`java.util.Set` | `getRtStatErrors()`
`RtSvcReq` | `getRtSvcReq()`
`java.lang.Integer` | `getSvcType()`
`java.lang.Double` | `getTotal()`
`void` | `setBeginTime(long beginTime)`
`void` | `setBeginTime(java.lang.Long begin)`
`void` | `setCount(java.lang.Integer count)`
`void` | `setEndTime(long endTime)`
`void` | `setEndTime(java.lang.Long end)`
`void` | `setIpaddr(java.lang.String ipaddr)`
`void` | `setMax(double max)`
`void` | `setMax(java.lang.Double max)`
`void` | `setMin(double min)`
`void` | `setMin(java.lang.Double min)`
`void` | `setRtStatErrors(java.util.Set s)`
`void` | `setRtSvcReq(RtSvcReq svcReqId)`
`void` | `setSvcType(java.lang.Integer svctype)`
`void` | `setTotal(double total)`
`void` | `setTotal(java.lang.Double average)`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`equals, get_version_, getId, hashCode, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RtRequestStat

    public RtRequestStat()

Method Detail

### getIpaddr

    public java.lang.String getIpaddr()

### setIpaddr

    public void setIpaddr(java.lang.String ipaddr)

### getMin

    public java.lang.Double getMin()

### setMin

    public void setMin(double min)

### setMin

    public void setMin(java.lang.Double min)

### getMax

    public java.lang.Double getMax()

### setMax

    public void setMax(double max)

### setMax

    public void setMax(java.lang.Double max)

### getTotal

    public java.lang.Double getTotal()

### setTotal

    public void setTotal(double total)

### setTotal

    public void setTotal(java.lang.Double average)

### getCount

    public java.lang.Integer getCount()

### setCount

    public void setCount(java.lang.Integer count)

### getBeginTime

    public java.lang.Long getBeginTime()

### setBeginTime

    public void setBeginTime(long beginTime)

### setBeginTime

    public void setBeginTime(java.lang.Long begin)

### getEndTime

    public java.lang.Long getEndTime()

### setEndTime

    public void setEndTime(long endTime)

### setEndTime

    public void setEndTime(java.lang.Long end)

### getSvcType

    public java.lang.Integer getSvcType()

### setSvcType

    public void setSvcType(java.lang.Integer svctype)

### getRtSvcReq

    public RtSvcReq getRtSvcReq()

### setRtSvcReq

    public void setRtSvcReq(RtSvcReq svcReqId)

### getRtStatErrors

    public java.util.Set getRtStatErrors()

### setRtStatErrors

    public void setRtStatErrors(java.util.Set s)

### getRequestStat

    public RtStat getRequestStat()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.